enum TaskStatus {
  PENDING
  IN_PROGRESS
  COMPLETED
}

enum TaskPriority {
  LOW
  NORMAL
  HIGH
}

type Task @table(name: "tasks") {

  id: UUID! @default(expr: "uuidV4()")

  taskName: String! #task identifier
  description: String
  priority: TaskPriority!
  status: TaskStatus!
  dueDate: Timestamp
  progress: Int
  orderIndex: Int
  commentCount: Int
  attachmentCount: Int
  files: Any 
  ownerId:UUID! #client/vendor
  
  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
